<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

$set['title'] = 'Мои гонки';
include_once '../../sys/inc/thead.php';
title();
err();
aut();
/*
=========================
Автор: BleIK
=========================
Игра: Мои гонки
=========================
*/

?>
<link rel="stylesheet" type="text/css" href="style.css"/>
<link href="images/favicon.ico" rel="shortcut icon" type="image/x-icon" />
<?

if(!$user)
{
echo 'Зарегестрируйтесь ';
exit();
}
echo '
  <table class="tb00">
    <tbody>
      <tr>';
include'bleik.php';
echo '
	  <td class="raml"></td>
        <td class="dbody1">
          <table class="tb00">
            <tbody>
              <tr>
                <td class="logo_l"></td>
                <td class="logo_f">
                  <img src="images/logo_.gif" alt="Мои гонки">
                </td>
                <td class="logo_r"></td>
              </tr>
            </tbody>
          </table>
          <div class="dbody">';

echo '<fieldset>
  <legend class="h1">
    <img src="images/schet.gif" style="margin:2px 2px 0px 0px;" alt=".">
    Пополнение счёта 
  </legend>
  <div class="dt100">
    <p>
      <img src="images/gold.gif" alt="=" style="margin:2px 4px 0px 0px;">
      На счету у вас '.$user['balls'].' баллов
      <b>а в игре</b>
       '.$arr['money'].' руб
    </p>
';
$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo 'У тебя на счету есть <b>'.$user['balls'].'</b> баллов на сайте<br/>';
echo 'У вас в игре денег: <b>'.$arr['money'].'р</b><br/>';
echo '<form action="?action=change" method="post">';
echo 'НА какую сумму хотите поплнить ваш счет в игре:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Пополнить"/>';
echo '</form>';
break;


case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Укажите цену!';break;};
if($user['balls']<$num){echo 'У вас на счету нет столько баллов!';break;};
$baks=$num*1;
mysql_query("UPDATE `moigonki` SET `money`=`money`+'$baks' WHERE `id`='".$user['id']."'") ;
mysql_query("UPDATE `user` SET `balls`=`balls`-'$num' WHERE `id`='".$user['id']."'");

if (mysql_query("UPDATE `user` SET `balls`=`balls`-'$num' WHERE `id`='".$user['id']."'") &&
mysql_query("UPDATE `moigonki` SET `money`=`money`+'$baks' WHERE `id_u`='".$user['id']."'") == true){};
echo 'Поздравляю вы успешно пополнили ваш счет в игре';
break;
};
echo '
    <br>
    <br>
    <div class="clear"></div>
  </div>
</fieldset>';


echo '<fieldset>
  <legend class="path">
    <a href="/online_games/racing/online_games/racing/index1.php.php">
      <img src="images/green.gif" alt="/">
      Главная
    </a>
     »  
    <a href="cabinet.php">Мой кабинет</a>
	 »  
	<a href="balls.php">Пополнение счёта</a>
  </legend>
  <div class="menu">
</div>
</fieldset>';
		 echo ' 
		              <br class="br1">
          </div>
        </td>
        <td class="ramr"></td>
      </tr>
    </tbody>
  </table>
  <div class="ramd"></div>
  <br>
  <span class="mini2">
    <center>by xLoF.Ru</center>
    <br>
    
  </span>
  
  ';


include_once '../../sys/inc/tfoot.php';
?>